TJ3TS_RECEIVER(1)

NAME
tj3ts_receiver - receive filled-out time sheets via email

SYNOPSIS
tj3ts_receiver [options]

DESCRIPTION
This program can be used to receive filled-out time sheets via email. It reads the emails from STDIN and extracts the time sheet from the attached files. The time sheet is checked for correctness. Good time sheets are filed away. The sender will be informed by email that the time sheets was accepted or rejected.

OPTIONS

-c, --config <FILE>
    Use the specified YAML configuration file

--silent
    Don't show program and progress information

--no-color
    Don't use ANSI contol sequences to color the terminal output. Colors should only be used when spooling to an ANSI terminal. In case the detection fails, you can use this option to force colors to be off.

--debug
    Enable Ruby debug mode

-d, --directory <DIR>
    Use the specified directory as working directory

--dryrun
    Don't send out any emails or do SCM commits

-h, --help
    Show this message

--version
    Show version info

ENVIRONMENT

HOME
    The user's home folder. Used to search for configuration file if not specified.

FILES

.taskjugglerrc or taskjuggler.rc
    tj3d searches for a config file named .taskjugglerrc or taskjuggler.rc in the current path, the user's home path as specified by the HOME environment variable or /etc/. At a minimum the file must configure an authentication key, an e-mail delivery method and sender e-mail e.g.:

    _global:
       authKey: ********
       smtpServer: smtp.your_company.com _timesheets:
       senderEmail: 'TaskJuggler <timesheets@taskjuggler.amd.com>'

    (the user should specify their own auth key and set file permissions accordingly). An alternative config file location may be specified using the -c, --config FILE option.

timesheets.log
    The statussheets log file, created in the working directory.

TimeSheets/FailedMails/
    Directory created in the working directory to store the failed emails.

TimeSheets/FailedSheets/
    Directory created in the working directory to store the failed status sheets.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020

    by Chris Schlaeger <cs@taskjuggler.org>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

For more info about TaskJuggler see http://www.taskjuggler.org

SEE ALSO

tj3ts_sender(1)

The full TaskJuggler manual is available online at http://www.taskjuggler.org/tj3/manual/, or via the tj3man command.